Package org.eclipse.lemminx.services.extensions.completion

## Interface ICompletionItemResolveParticipant

All Known Implementing Classes:
  `AbstractAttributeCompletionResolver`, `AbstractCompletionResolver`, `AttributeNameCompletionResolver`, `AttributeValueCompletionResolver`, `ElementEndTagCompletionResolver`

    public interface ICompletionItemResolveParticipant

Represents a class that can resolve certain kinds of completion items.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.lsp4j.CompletionItem` `resolveCompletionItem​(ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the completion item with the remaining fields resolved.

### Method Detail

#### resolveCompletionItem

    org.eclipse.lsp4j.CompletionItem resolveCompletionItem​(ICompletionItemResolverRequest request,
                                                           org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Returns the completion item with the remaining fields resolved.

Parameters:
  `request` - the completion item resolve request
  `cancelChecker` - the cancel checker
Returns:
  the completion item with the remaining fields resolved